# Class: ColReorder

ColReorder

new ColReorder(DataTables, ColReorder)

  ColReorder provides column visiblity control for DataTables

  ### Constructor

  ##### Parameters:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | DataTables | object |  |  | settings object
  2 | ColReorder | object |  |  | options

## Summary

### Properties - static

<static> aoInstances :array

  Array of all ColReorder instances for later reference

### Methods - static

<static> fnReset (object)

  Reset the column ordering for a DataTables instance

## Details

### Properties - static

<static> aoInstances :array

  Array of all ColReorder instances for later reference

  ##### Properties:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | ColReorder.aoInstances |  |  |  |

### Methods - static

<static> fnReset(object)

  Reset the column ordering for a DataTables instance

  ##### Parameters:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | object |  |  |  | oTable DataTables instance to consider

  ##### Returns:

  void